class CreateActionPipelines < ActiveRecord::Migration[5.2]
  def change
    create_table :action_pipelines do |t|
      t.references :project
      t.references :user
      t.string :pipeline_name
      t.string :pipeline_status
      t.string :description
      t.string :file_name
      t.boolean :is_graphic_design, default: false
      t.string :repo_name
      t.string :repo_identifier
      t.string :repo_owner
      t.string :branch
      t.string :event
      t.string :sha
      t.text :json
      t.text :yaml
      t.boolean :disable, default: false
      t.timestamps
    end
  end
end
